mbtserver(1)

NAME
mbtserver - Tilburg Memory Based Tagger Server

SYNOPSIS

mbtserver [server options]

or

mbtserver -s settingsfile -S portnumber (deprecated)

DESCRIPTION
mbtserver extends mbt with a server layer. It provided the possibility to access a trained tagger from multiple sessions. It also allows one to run and access different taggers in parallel.

OPTIONS

-h or --help
    show help

--config=file
    read the settings for one or more taggers from the specified configuration file.

    A configuration file must contain a port specification:

    port=<number>

    It may provide a limit to the number of parallel connections:

    maxconn=<number>

    And it must give one or more mbt tagger descriptions:

    <base>=<mbt options line>

    The <base> is a basename for the Tagger that will be started with the options specified. The basename is needed because it is possible to start several (different) taggers. When accessing the server, we need a way to tell which Tagger we want to use. In general, the mbt options line will just be something like: "-s <settingsfile>", where settingsfile is a file generated by mbtg

    example config file:
        port=4567
        maxconn=15
        test1 = -s tests/eindh.set
        another = -s tests/wotan.set

--pidfile=file
    store the pid of the main server process in file

--logfile=file
    log server actions to file

--daemonize=[yes|no]
    run the server as a daemon. Default is yes.

-V or --version
    show version

deprecated options are

-s settingsfile
    read settings (probably generated with mbtg ) from the settingsfile

-S <port>
    run the server on 'port'.

For mbt options see mbt(1)

Accessing the server
To Do

BUGS
possibly

AUTHORS
Ko van der Sloot Timbl@uvt.nl

Antal van den Bosch Timbl@uvt.nl

SEE ALSO
mbt(1) mbtg(1) timbl(1)